## org.apache.commons.math.distribution
Class FDistributionImpl

    java.lang.Object
      org.apache.commons.math.distribution.AbstractDistribution
          org.apache.commons.math.distribution.AbstractContinuousDistribution
              org.apache.commons.math.distribution.FDistributionImpl

All Implemented Interfaces:
  java.io.Serializable, ContinuousDistribution, Distribution, FDistribution

    public class FDistributionImpl

extends AbstractContinuousDistribution
implements FDistribution, java.io.Serializable

Default implementation of `FDistribution`.

Version:
  $Revision: 772119 $ $Date: 2009-05-06 05:43:28 -0400 (Wed, 06 May 2009) $
See Also:
  Serialized Form

Field Summary
`private double` `denominatorDegreesOfFreedom` The numerator degrees of freedom
`private double` `numeratorDegreesOfFreedom` The numerator degrees of freedom
`private static long` `serialVersionUID` Serializable version identifier

Constructor Summary
`FDistributionImpl(double numeratorDegreesOfFreedom, double denominatorDegreesOfFreedom)` Create a F distribution using the given degrees of freedom.

Method Summary
`double` `cumulativeProbability(double x)` For this distribution, X, this method returns P(X < x).
`double` `getDenominatorDegreesOfFreedom()` Access the denominator degrees of freedom.
`protected double` `getDomainLowerBound(double p)` Access the domain value lower bound, based on `p`, used to bracket a CDF root.
`protected double` `getDomainUpperBound(double p)` Access the domain value upper bound, based on `p`, used to bracket a CDF root.
`protected double` `getInitialDomain(double p)` Access the initial domain value, based on `p`, used to bracket a CDF root.
`double` `getNumeratorDegreesOfFreedom()` Access the numerator degrees of freedom.
`double` `inverseCumulativeProbability(double p)` For this distribution, X, this method returns the critical point x, such that P(X < x) = `p`.
`void` `setDenominatorDegreesOfFreedom(double degreesOfFreedom)` Modify the denominator degrees of freedom.
`void` `setNumeratorDegreesOfFreedom(double degreesOfFreedom)` Modify the numerator degrees of freedom.

Methods inherited from class org.apache.commons.math.distribution.AbstractDistribution
`cumulativeProbability`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.commons.math.distribution.Distribution
`cumulativeProbability`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

  Serializable version identifier

  See Also:
    Constant Field Values

### numeratorDegreesOfFreedom

    private double numeratorDegreesOfFreedom

  The numerator degrees of freedom

### denominatorDegreesOfFreedom

    private double denominatorDegreesOfFreedom

  The numerator degrees of freedom

Constructor Detail

### FDistributionImpl

    public FDistributionImpl(double numeratorDegreesOfFreedom,
                             double denominatorDegreesOfFreedom)

  Create a F distribution using the given degrees of freedom.

  Parameters:
    `numeratorDegreesOfFreedom` - the numerator degrees of freedom.
    `denominatorDegreesOfFreedom` - the denominator degrees of freedom.

Method Detail

### cumulativeProbability

    public double cumulativeProbability(double x)
                                 throws MathException

  For this distribution, X, this method returns P(X < x). The implementation of this method is based on:
  - F-Distribution, equation (4).

  Specified by:
    `cumulativeProbability` in interface `Distribution`
  Parameters:
    `x` - the value at which the CDF is evaluated.
  Returns:
    CDF for this distribution.
  Throws:
    `MathException` - if the cumulative probability can not be computed due to convergence or other numerical errors.

### inverseCumulativeProbability

    public double inverseCumulativeProbability(double p)
                                        throws MathException

  For this distribution, X, this method returns the critical point x, such that P(X < x) = `p`.

  Returns 0 for p=0 and `Double.POSITIVE_INFINITY` for p=1.

  Specified by:
    `inverseCumulativeProbability` in interface `ContinuousDistribution`
  Overrides:
    `inverseCumulativeProbability` in class `AbstractContinuousDistribution`
  Parameters:
    `p` - the desired probability
  Returns:
    x, such that P(X < x) = `p`
  Throws:
    `MathException` - if the inverse cumulative probability can not be computed due to convergence or other numerical errors.
    `java.lang.IllegalArgumentException` - if `p` is not a valid probability.

### getDomainLowerBound

    protected double getDomainLowerBound(double p)

  Access the domain value lower bound, based on `p`, used to bracket a CDF root. This method is used by `inverseCumulativeProbability(double)` to find critical values.

  Specified by:
    `getDomainLowerBound` in class `AbstractContinuousDistribution`
  Parameters:
    `p` - the desired probability for the critical value
  Returns:
    domain value lower bound, i.e. P(X < lower bound) < `p`

### getDomainUpperBound

    protected double getDomainUpperBound(double p)

  Access the domain value upper bound, based on `p`, used to bracket a CDF root. This method is used by `inverseCumulativeProbability(double)` to find critical values.

  Specified by:
    `getDomainUpperBound` in class `AbstractContinuousDistribution`
  Parameters:
    `p` - the desired probability for the critical value
  Returns:
    domain value upper bound, i.e. P(X < upper bound) > `p`

### getInitialDomain

    protected double getInitialDomain(double p)

  Access the initial domain value, based on `p`, used to bracket a CDF root. This method is used by `inverseCumulativeProbability(double)` to find critical values.

  Specified by:
    `getInitialDomain` in class `AbstractContinuousDistribution`
  Parameters:
    `p` - the desired probability for the critical value
  Returns:
    initial domain value

### setNumeratorDegreesOfFreedom

    public void setNumeratorDegreesOfFreedom(double degreesOfFreedom)

  Modify the numerator degrees of freedom.

  Specified by:
    `setNumeratorDegreesOfFreedom` in interface `FDistribution`
  Parameters:
    `degreesOfFreedom` - the new numerator degrees of freedom.
  Throws:
    `java.lang.IllegalArgumentException` - if `degreesOfFreedom` is not positive.

### getNumeratorDegreesOfFreedom

    public double getNumeratorDegreesOfFreedom()

  Access the numerator degrees of freedom.

  Specified by:
    `getNumeratorDegreesOfFreedom` in interface `FDistribution`
  Returns:
    the numerator degrees of freedom.

### setDenominatorDegreesOfFreedom

    public void setDenominatorDegreesOfFreedom(double degreesOfFreedom)

  Modify the denominator degrees of freedom.

  Specified by:
    `setDenominatorDegreesOfFreedom` in interface `FDistribution`
  Parameters:
    `degreesOfFreedom` - the new denominator degrees of freedom.
  Throws:
    `java.lang.IllegalArgumentException` - if `degreesOfFreedom` is not positive.

### getDenominatorDegreesOfFreedom

    public double getDenominatorDegreesOfFreedom()

  Access the denominator degrees of freedom.

  Specified by:
    `getDenominatorDegreesOfFreedom` in interface `FDistribution`
  Returns:
    the denominator degrees of freedom.

Copyright (c) 2003-2010 Apache Software Foundation